Subject: Re: [OT?] Executing Git from bash script invoked by cron

From: Johannes Schneider <[email-masked]>
Date: Sat, 03 Jul 2010 19:19:51 +0200

On 06/28/2010 11:17 PM, Marc Weber wrote:
> sh -c 'your quoted command &> /tmp/logfile'
> 
> b) if this still does not work use strace:

That is it. Thanks.
Of course, git writes to stderr. And I did not redirect it properly.
I don't understand the details, but this line is working now:

sh -c 'myscript' >> logfile 2> err

The problem - by the way - is related to ssh authentification...
But that is another issue...

But here comes my question: Obviously all output created by git push is
written to stderr. I'd expected that most of the content will end up in
stdout.
But I am sure there is a good reason for it - so I just accept it ;-)

Thanks,

Johannes